package com.airfrance.squalecommon.daolayer.rulechecking;

import com.airfrance.jraf.provider.persistence.hibernate.AbstractDAOImpl;
import com.airfrance.squalecommon.enterpriselayer.businessobject.rulechecking.ProjectRuleSetBO;

/**
 * DAO pour les rgles lies  un projet
 */
public class ProjectRuleSetDAOImpl extends AbstractDAOImpl {

    /**
     * Instance singleton
     */
    private static ProjectRuleSetDAOImpl instance = null;

    /**
     *  initialisation du singleton 
     *  
     **/
    static {
        instance = new ProjectRuleSetDAOImpl();
    }

    /**
     * Constructeur priv
     * @throws JrafDaoException
     */
    private ProjectRuleSetDAOImpl() {
        initialize(ProjectRuleSetBO.class);
    }

    /**
     * Retourne un singleton du DAO
     * @return singleton du DAO
     */
    public static ProjectRuleSetDAOImpl getInstance() {
        return instance;
    }
}
