package com.airfrance.squalecommon.datatransfertobject.config;

import java.util.List;

/**
 * Utilisateur de tches Squalix
 */
public class TasksUserDTO {

    /**
     * Identifiant (au sens technique) de l'objet
     */
    protected long mId;

    /** Le nom associ */
    protected String mName;

    /** La liste des tches d'analyses */
    protected List mAnalysisTasks;

    /** La liste des tches finales */
    protected List mTerminationTasks;

    /**
     * Mthode d'accs pour mId
     * 
     * @return la l'identifiant (au sens technique) de l'objet
     * 
     */
    public long getId() {
        return mId;
    }

    /**
     * Change la valeur de mId
     * 
     * @param pId le nouvel identifiant
     */
    public void setId(long pId) {
        mId = pId;
    }

    /**
     * Mthode d'accs  mAnalysisTasks
     * 
     * @return la liste des tches d'analyses 
     *
     */
    public List getAnalysisTasks() {
        return mAnalysisTasks;
    }

    /**
     * Mthode d'accs  mName
     * 
     * @return le nom du profile
     * 
     */
    public String getName() {
        return mName;
    }

    /**
     * Mthode d'accs  mTerminationTasks
     * 
     * @return la liste des tches finales 
     * 
     */
    public List getTerminationTasks() {
        return mTerminationTasks;
    }

    /**
     * Change la valeur de mAnalysisTasks
     * 
     * @param pAnalysisTasks la nouvelle liste des tches d'analyses
     */
    public void setAnalysisTasks(List pAnalysisTasks) {
        mAnalysisTasks = pAnalysisTasks;
    }

    /**
     * Change la valeur de mName
     * 
     * @param pName le nouveau nom du profile
     */
    public void setName(String pName) {
        mName = pName;
    }

    /**
     * Change la valeur de mTerminationTasks
     * 
     * @param pTerminationTasks la nouvelle liste de tches finales
     */
    public void setTerminationTasks(List pTerminationTasks) {
        mTerminationTasks = pTerminationTasks;
    }

}
