package com.airfrance.squalecommon.enterpriselayer.businessobject.component;

/**
 * Type des composants
 * Les composants sont dcrits dans l'interface utilisateur par un
 * nom symbolique
 */
public class ComponentType {
    /**
     * Classe
     */
    public static final String CLASS = "component.class";
    /**
     * Mthode
     */
    public static final String METHOD = "component.method";
    /**
     * Projet
     */
    public static final String PROJECT = "component.project";
    /**
     * Package
     */
    public static final String PACKAGE = "component.package";
    /**
     * Application
     */
    public static final String APPLICATION = "component.application";
    /**
     * Modle UML
     */
    public static final String UML_MODEL = "component.umlmodel";
    /**
     * Classe UML
     */
    public static final String UML_CLASS = "component.umlclass";
    /**
     * Interface UML
     */
    public static final String UML_INTERFACE = "component.umlinterface";
    /**
     * Package UML
     */
    public static final String UML_PACKAGE = "component.umlpackage";
    /**
     * Page JSP
     */
    public static final String JSP = "component.jsp";
}
