package com.airfrance.squalecommon.enterpriselayer.facade;

import com.airfrance.squalecommon.util.messages.BaseMessages;

/**
 * Messages spcifiques  la couche facade
 *
 */
public class FacadeMessages extends BaseMessages {
    /** Instance */
    static private FacadeMessages mInstance = new FacadeMessages();

    /**
     * Constructeur par dfaut. Priv pour viter l'instanciation.
     */
    private FacadeMessages() {
        super("com.airfrance.squalecommon.enterpriselayer.facade.facade_messages");
    }

    /**
     * Retourne la chane de caractre identifie par la cl.
     * @param pKey nom de la cl.
     * @return la chane associe.
     */
    public static String getString(String pKey) {
        return mInstance.getBundleString(pKey);
    }

}
