package com.airfrance.squaleweb.applicationlayer.formbean.component;

import java.util.ArrayList;
import java.util.List;

import com.airfrance.squaleweb.applicationlayer.formbean.RootForm;

/**
 * Contient les listes d'erreurs pour une tache donne
 * 
 * @author M400842
 *
 */
public class ErrorListForm extends RootForm {
    
    /**
     * Liste des erreurs
     */
    private List mList = new ArrayList();
    
    /**
     * le nom de la tache
     */
    private String mTaskName ;
    
    /**  
     * le niveau maximal d'erreur pour cette tache
     * Sert notamment pour mettre l'icone de niveau de criticit sur la page Web
     */
    private String mMaxErrorLevel;
    
    /**
     * @return la liste des erreurs
     */
    public List getList() {
        return mList;
    }

    /**
     * @param pList la liste des erreurs
     */
    public void setList(List pList) {
        mList = pList;
    }
    /**
     * @return le nom de la tache pour laquelle on a cette liste d'erreurs
     */
    public String getTaskName() {
        return mTaskName;
    }

    /**
     * @param pTaskName le nouveau nom de la tache
     */
    public void setTaskName(String pTaskName) {
        mTaskName = pTaskName;
    }

    /**
     * @return le niveau d'erreur max
     */
    public String getMaxErrorLevel() {
        return mMaxErrorLevel;
    }

    /**
     * @param pMaxErrorLevel le nouveau niveau d'erreur max
     */
    public void setMaxErrorLevel(String pMaxErrorLevel) {
        mMaxErrorLevel = pMaxErrorLevel;
    }

}
