package com.airfrance.squaleide;

import org.eclipse.core.resources.IWorkspace;
import org.eclipse.core.resources.ResourcesPlugin;
import org.eclipse.core.runtime.IPluginDescriptor;
import org.eclipse.ui.plugin.AbstractUIPlugin;

/**
 * La classe principale du plugin
 */
public class SqualePlugin extends AbstractUIPlugin {
    /** L'instance partage */
    private static SqualePlugin plugin;

    /**
     * Le constructeur
     * @param descriptor le descripteur
     */
    public SqualePlugin(IPluginDescriptor descriptor) {
        super(descriptor);
        plugin = this;
    }

    /**
     * Retourne l'instance.
     * @return l'instance du plugin
     */
    public static SqualePlugin getDefault() {
        return plugin;
    }

    /**
     * Retourne le workspace
     * @return le workspace
     */
    public static IWorkspace getWorkspace() {
        return ResourcesPlugin.getWorkspace();
    }
}
