package com.airfrance.squalecommon.datatransfertobject.config;

/**
 * DTO pour la frquence max des audits
 */
public class AuditFrequencyDTO {

    /** L'identifiant (au sens technique) de l'objet */
    private long mId;

    /** Dure depuis le dernier accs (en nombre de jours) */
    private int mDays;

    /** Frquence max d'audit (en nombre de jours) */
    private int mFrequency;

    /**
     * Mthode d'accs  mId
     * 
     * @return l'identifiant de l'objet
     */
    public long getId() {
        return mId;
    }

    /**
     * @return la dure le depuis dernier accs
     */
    public int getDays() {
        return mDays;
    }

    /**
     * @return la frquence max d'audit
     */
    public int getFrequency() {
        return mFrequency;
    }

    /**
     * Change la valeur de mId
     * 
     * @param pId la nouvelle valeur de l'identifiant de l'objet
     */
    public void setId(long pId) {
        mId = pId;
    }

    /**
     * @param pDays la dure le depuis dernier accs
     */
    public void setDays(int pDays) {
        mDays = pDays;
    }

    /**
     * @param pFrequency la frquence max d'audit
     */
    public void setFrequency(int pFrequency) {
        mFrequency = pFrequency;
    }
}
