package com.airfrance.squalecommon.datatransfertobject.rule;

import java.util.SortedMap;
import java.util.TreeMap;

/**
 * DTO d'un facteur qualit
 */
public class FactorRuleDTO extends QualityRuleDTO {
    
    /** Criteres */
    private SortedMap mCriteria;
    
    /**
     * Ajout d'un critre
     * @param pCriterium critre
     * @param pWeight la pondration associe
     */
    public void addCriterium(CriteriumRuleDTO pCriterium, Float pWeight) {
        if (mCriteria==null) {
            mCriteria = new TreeMap();
        }
        mCriteria.put(pCriterium, pWeight);
    }
    
    /**
     * @return critres
     */
    public SortedMap getCriteria() {
        return mCriteria;
    }
}
