package com.airfrance.squalecommon.enterpriselayer.facade.config.xml;

import com.airfrance.squalecommon.util.messages.BaseMessages;

/**
 * Messages pour la configuration du portail.
 *
 */
public class XmlConfigMessages extends BaseMessages {
    /** Instance */
    static private XmlConfigMessages mInstance = new XmlConfigMessages();
    /**
     * Constructeur par dfaut. Priv pour viter l'instanciation.
     */
    private XmlConfigMessages() {
        super("com.airfrance.squalecommon.enterpriselayer.facade.config.xml.xml_config_messages");
    }

    /**
     * Retourne la chane de caractre identifie par la cl.
     * @param pKey nom de la cl.
     * @return la chane associe.
     */
    public static String getString(String pKey) {
        return mInstance.getBundleString(pKey);
    }

    /**
     * 
     * Retourne la chane de caractre identifie par la cl.
     * @param pKey nom de la cl.
     * @param pValues les valeurs  insrer dans la chaine
     * @return la chane associe.
     */
    public static String getString(String pKey, Object[] pValues) {
        return mInstance.getBundleString(pKey, pValues);
    }

}
